@extends('default')

@section('title', $subforum->name)

@section('breadcrumb')
<a href="{{ route('index') }}">Home</a>
<a>></a>
<a href="{{ route('subforum', ['subforum' => $subforum->id]) }}">{{ $subforum->name }}</a>
@endsection

@section('content')
    {!! $paginator !!}
    <div class="row threads">
        @foreach($subforum->threads as $key => $thread)
            @include('partial.thread')
        @endforeach
    </div>
    <div class="row spacer"></div>
    {!! $paginator !!}
@endsection

@section('scripts')
    <link rel='stylesheet' type='text/css' href='/css/page/subforum.css'/>
@endsection
