<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Knockout\Thread;

class ThreadController extends Controller {

    public function get(Request $request)
    {
        $threadId = $request->route('thread', null);
        $page = $request->route('page', 1);

        $thread = Thread::one($threadId, $page);

        return view('page/thread', [
            'thread' => $thread->getRecord(),
            'paginator' => $thread->getPaginator($request)
        ]);
    }

}
